Bug 1267906 - JAXB initialisation error - Several pairs of classes have the same XML type
JAXB initialisation error - Several pairs of classes have the same XML type
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity high
: CR1
: 6.2.0
Assigned To: Shelly McGowan
Tomas Sykora
:
Depends On:
Blocks: 1236636
  Show dependency treegraph
 
Reported: 2015-10-01 07:14 EDT by David Virgil
Modified: 2016-11-30 19:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1280345 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ENTESB-4090 Blocker Closed [Integration Pack - EAP] JAXB initialisation error - Several pairs of classes have the same XML type 2016-04-01 07:05 EDT

  None (edit)
Description David Virgil 2015-10-01 07:14:17 EDT
Description of problem:
The kie remote rest and jms rest is not working from switchyard components.

The switchyard components use the kie-remote-client to make this functionality working.

From Drools 6.2.0 this functionality is not working because the kie-remote-client. The reason is because this artifact can not be in the same classpath than the drools artifacts.


Version-Release number of selected component (if applicable):
6.2.0

How reproducible:


Steps to Reproduce:
git clone -c http.sslverify=false https://gitlab.mw.lab.eng.bos.redhat.com/jbossqe-soa/jbossqe-fsw-it.git

cd jbossqe-fsw-it

git checkout JBQA-9702_create-remote-bpms-api-test

mvn clean install -Pjboss-eap,bxms -pl :remote-bpms-api-test -am -Ddisable.groovy.compiler=true -Dversion.bom.fuse=6.2.1.redhat-020 -Dversion.switchyard=2.0.1.redhat-621020 -Dversion.fuse.integration=1.1.0.redhat-020


Actual results:


Expected results:


Additional info:
Comment 3 David Virgil 2015-10-01 10:49:57 EDT
Hi Alessandro.

The tests done by the qe have been with the previous fuse ER. The previous Fuse 6.2.1 ER tests were using our 1.1.x Fuse Integration Branch that was compatible with the 6.2.x Drools branch.

The tests done by the qe, are included here:

 https://gitlab.mw.lab.eng.bos.redhat.com/jbossqe-soa/jbossqe-fsw-it.git

The tests are done using EAP 6.4

This error is happening in version 6.2.x and 6.3.x of drools.
Comment 8 Edson Tirelli 2015-11-05 14:59:30 EST
Additional commits:

6.3.x: http://github.com/droolsjbpm/drools/commit/d84285c7a

master: http://github.com/droolsjbpm/drools/commit/55e49ccf2
Comment 10 Martin Basovník 2015-11-23 08:17:31 EST
Verified with Integration Pack 1.2.0.redhat-005.

Note You need to log in before you can comment on or make changes to this bug.